MYX(4)

NAME
myx - Myricom Myri-10G PCI Express 10Gb Ethernet device

SYNOPSIS
myx* at pci?

DESCRIPTION
The myx driver supports the Myricom Myri-10G PCI Express 10Gb Ethernet adapters based on the Myricom Lanai-Z8E and Lanai-Z8ES chipsets, including the following:

•   Myricom 10G-PCIE-8A-C Adapter (10GbaseCX4)
•   Myricom 10G-PCIE-8A-R Adapter (10GbaseSR/LR)
•   Myricom 10G-PCIE-8A-Q Adapter (10G XAUI)
•   Myricom 10G-PCIE2-8B2-2S Adapter (10GbaseSR/LR)
•   Myricom 10G-PCIE2-8C2-2S Adapter (10GbaseSR/LR/LRM)

Low profile versions are supported as well.

FILES
The adapter needs a firmware file, which is selected and loaded on demand by the driver when the device is attached:

/etc/firmware/myx-eth_z8e
/etc/firmware/myx-ethp_z8e

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

Myricom, Inc. http://www.myri.com

HISTORY
The myx driver first appeared in OpenBSD 4.2.

AUTHORS
-nosplit The myx driver was written by Reyk Floeter <reyk@openbsd.org>.

CAVEATS
While the firmware supports reading module information for ifconfig(8) transceiver to use, it does not support writing to the module. This prevents configuration of the module, which may prevent ifconfig(8) from reading the right data from the module where other network cards succeed.